# validate | xrpl
Documentation for xrpl

# Function validate

- validate(transaction): void

- Verifies various Transaction Types. Encode/decode and individual type validation.

  #### Parameters

  - ##### transaction: Record<string, unknown>

    A Transaction.

  #### Returns void

  #### Throws

  ValidationError When the Transaction is malformed.

  - Defined in packages/xrpl/src/models/transactions/transaction.ts:156

Generated using TypeDoc